<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-sost-title3'];
  $helppage = "";

  if(is_file ("../lang/".$lang."/trans.php")) require_once "../lang/".$lang."/trans.php";
     require_once "../lang/ru/trans.php";
  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['sost_id'])) puterror2($TEXT['error-sost5']);
  if(strlen($_POST['sost_id'])>11) puterror2($TEXT['error-sost4']);
  if(empty($_POST['sostoyanie'])) puterror2($TEXT['error-sost1']);
  if(strlen($_POST['sostoyanie'])>255) puterror2($TEXT['error-sost2']);
  if(empty($_POST['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_POST['position'])>11) puterror2($TEXT['error-nd5']);
  if(strlen($_POST['old_photo'])>250) puterror2($TEXT['error-inst9']);

  if(isset($_POST['sostoyanie'])) $sostoyanie=trim($_POST['sostoyanie']);
    else $sostoyanie="";
     if (empty($sostoyanie)) puterror2($TEXT['error-sost3']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if (empty($position)) puterror2($TEXT['error-nd7']);

  $_POST['sostoyanie'] = rep($_POST['sostoyanie']);
  $_POST['position'] = rep($_POST['position']);
  $_POST['sost_id'] = rep($_POST['sost_id']);
  $_POST['old_photo'] = rep($_POST['old_photo']);

    if($_FILES['photo']['size'] > 1024*2*1024) puterror2($TEXT['error-pic3']);
    if (!empty($_FILES['photo']['tmp_name']))
      {
       $ext = strrchr($_FILES['photo']['name'], ".");
       $name = $_POST['sostoyanie'];
       $sost = "sost_".translate($name)."_";
       $image = "../photo/$sost".date("YmdHis",time())."$ext";
          if (copy($_FILES['photo']['tmp_name'], "../".$image))
            {
            unlink($_FILES['photo']['tmp_name']);
            chmod("../".$image, 0644);
            }
            if(is_file("../".$_POST['old_photo'])) unlink("../".$_POST['old_photo']);
     }
      else $image = $_POST['old_photo'];

  $query10 = "SELECT `sostoyanie` FROM `tbl_supp_sostoyanie` WHERE `sost_id`='".$_POST['sost_id']."' ";
  $result10 = mysql_query($query10);
  if (!$result10) puterror2($TEXT['error-tbl23']);
      $result_lib = mysql_fetch_array($result10);
      if($_POST['sostoyanie']!=$result_lib['sostoyanie']) {
          $query9 = "SELECT `sostoyanie` FROM `tbl_supp_sostoyanie` WHERE `sostoyanie`='".$_POST['sostoyanie']."' ";
            $result9 = mysql_query($query9);
              if (!$result9) puterror2($TEXT['error-tbl23']);
                 if (mysql_num_rows($result9)>0) puterror2($TEXT['global-est']);
                   else $name_sostoyanie = "`sostoyanie` = '".$_POST['sostoyanie']."', ";
        }
       else $name_sostoyanie = "";

  //*************************************
  $query = "SELECT * FROM `tbl_supp_sostoyanie` WHERE `sost_id`='".$_POST['sost_id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror2($TEXT['error-tbl23']);
   $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-supp3'];
  $what = $result2['sostoyanie'].$TEXT['log-na'].$_POST['sostoyanie'].$TEXT['log-id'].$_POST['sost_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "UPDATE `tbl_supp_sostoyanie` SET `pic_sost` = '$image', $name_sostoyanie `position` = '".$_POST['position']."' WHERE `sost_id`='".$_POST['sost_id']."' ";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-sost.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-sost6']);
  require_once "../util/bottom.php";
?>
